﻿using QwirkleClassLibrary;
namespace TestBase;

    public class TestBoard
    {
        public static IEnumerable<object[]> Data_Board()
        {
            yield return new object[]
            {
            true,
            1,
            2,
            new Tile(Shape.Round, Color.Red)
            };
            yield return new object[]
            {
            false,
            -5,
            9999,
            new Tile(Shape.Round, Color.Red)
            };
        }

        [Theory]
        [MemberData(nameof(Data_Board))]
        public void Test_BoardAddSolo(bool except, int x, int y, Tile t)
        {

            Board b = new Board();

            if (!except)
            {
                Assert.False(b.AddTileInCell(x, y, t));
                return;

            }
            Assert.True(b.AddTileInCell(x, y, t));
        }

        public static IEnumerable<object[]> Data_BoardDouble()
        {
            yield return new object[]
            {
            1,
            2,
            new Tile(Shape.Round, Color.Red)
            };
        }

        [Theory]
        [MemberData(nameof(Data_BoardDouble))]
        public void Test_BoardFree(int x, int y, Tile t)
        {
            Board board = new Board();
            board.AddTileInCell(x, y, t);
            Assert.False(board.AddTileInCell(x, y, t));
        }
    }

